# Copyright (C) 2013-2016 Freescale Semiconductor
# Copyright 2017 NXP
# Copyright 2018-2024 Variscite Ltd.
# Released under the MIT license (see COPYING.MIT for the terms)

SUMMARY = "Linux kernel provided and supported by Variscite"
DESCRIPTION = "Linux kernel provided and supported by Variscite (based on the kernel provided by NXP) \
with focus on i.MX Family SOMs. It includes support for many IPs such as GPU, VPU and IPU."
HOMEPAGE = "https://github.com/varigit/linux-imx"

require recipes-kernel/linux/linux-imx.inc
LICENSE = "GPL-2.0-only"
LIC_FILES_CHKSUM = "file://COPYING;md5=6bc538ed5bd9a7fc9398086aedcd7e46"

DEPENDS += "bc-native lzop-native"

DEFAULT_PREFERENCE = "1"

KERNEL_SRC ?= "git://gitlab.tastitalia.com/tastitalia-mpu-arm/yocto/bsp/linux-tastitalia-imx.git;protocol=https"

SRCBRANCH = "lf-6.6.y"
SRC_URI = "${KERNEL_SRC};branch=${SRCBRANCH}"
SRCREV = "${AUTOREV}"

LINUX_VERSION = "6.6.23"
LINUX_VERSION_EXTENSION = "-var-lts-next"

KBUILD_DEFCONFIG:mx8-nxp-bsp = "tastitalia_mx8_defconfig"

pkg_postinst:kernel-devicetree:append () {
   rm -f $D/boot/devicetree-*
}

FILES:${KERNEL_PACKAGE_NAME}-base += "${nonarch_base_libdir}/modules/${KERNEL_VERSION}/modules.builtin.modinfo "

KERNEL_VERSION_SANITY_SKIP = "1"
COMPATIBLE_MACHINE = "(mx8-nxp-bsp)"
